<!-- MENU -->

<nav class="navbar navbar-default nav-bar-sysma">

    <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>        
    </div>
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
        <ul class="nav navbar-nav">
            {% if app.session.get('user_id')|default(ANONYMID) != ANONYMID %}
            <li>
                <a href="#" onclick="openClose('rightColumn', '0%', 'map', '100%');
                        hs('rightColumnButton');
                        sendData('width=100', '{{ url('set-map-width') }}', 'layerstate', null);" class="text-muted"><small><span class="glyphicon glyphicon-chevron-right"></span></small></a>
            </li>
            <li>

                <a href="#" onclick='openClose("rightColumn", "{{ (100-app.session.get('map_width'))|default(60) }}%", "map", "{{ app.session.get('map_width')|default(60) }}%");
                        sendData(null, "{{ url('layermanager') }}", "infos", event);
                        $("#objet").hide(150);
                        $("#infos").show(150);'
                   >
                    <span class="glyphicon glyphicon-th-list" title='Couches' ></span>
                    <span class="hidden-md">Couches</span>
                </a>
            </li>

            <li>
              <a href="#" onclick='
                        $("#infos").hide(150);          
                        openClose("rightColumn", "{{ (app.session.get('map_width'))|default(60) }}%", "map", "{{ 100-app.session.get('map_width')|default(60) }}%");                         
                        sendData(null, "{{ url('selection-geo') }}", "objet", event);
                        $("#objet").show(150); '>
                    <span class="glyphicon icon-selection" title='Sélection géographique' ></span>
                    <span class="hidden-md hidden-lg">Sélection géographique</span>
                </a>

            </li>



            {% endif %}
            {% if [app.session.get('user_id'),null,null,null,null,null,null,'lecteur']|hasAccess %}       



                <li id="id-vues-menu" role="presentation" class="dropdown">
                    <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                        <span class="glyphicon glyphicon-saved" title="Vues (sauvegardez votre sélection de couches)"></span>
                        <span class="hidden-md">Vues</span>
                        <span class="caret"></span>
                    </a>
                    <ul id="views-menu" class="dropdown-menu">                            
                        <li class="menu-item">
                            <div class="row">
                                <div class="col-md-8">

                                    <input class='form-control' id='user_view_name'  value='' placeholder="Nommer la vue" /> 
                                </div>
                                <div class="col-md-1 text-left">
                                    <a class="btn btn-default" onclick="return false;">
                                        <span onclick="
                                                sendData('view=' + $('#user_view_name').val(), '{{ url('user-view-create') }}', 'infos', event, true);
                                                return false;"
                                              class='glyphicon glyphicon-floppy-disk'></span>
                                    </a>
                                </div>
                            </div>

                        </li>  
                        {%  if U.tabUserViews is defined and U.tabUserViews|length >0 %}
                            <li role="separator" class="divider"></li>
                                {%  for key,V in U.tabUserViews %}
                                <li class="menu-item">
                                    <div class="row" style="min-width: 250px;">
                                        <div class="col-md-10"><a href="#"  onclick="sendData('user_view_id={{ key }}', '{{ url('user-view-load') }}', 'infos', event, true);"  title="Charger la vue">{{ V }} <small>[{{ key }}]</small></a></div>
                                        <div class="col-md-1">                                               
                                            <small><span onclick="if (confirm('Confirmez-vous la suppression de la vue ?')) {
                                                        sendData('user_view_id={{ key }}', '{{ url('user-view-delete') }}', 'infos', event, true);
                                                    }" class='glyphicon glyphicon-remove' title="Supprimer la vue ?"></span> </small>
                                        </div>
                                </li>
                            {%  endfor %}
                        {%  endif %}

                            <li role="separator" class="divider"></li>
                            <li class="menu-item">
                                <div class="row" style="min-width: 250px;">
                                    <div class="col-md-10"><a href="#"  onclick="sendData('', '{{ url('user-view-reset') }}', 'infos', event, true);"  title="Désactiver la vue">Re-initialiser l'affichage des couches</a></div>
                                    <div class="col-md-1">                                               

                                    </div>
                            </li>

                       
                    </ul>
                </li>

                <li id="id-bilans-menu" role="presentation" class="dropdown">
                    <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                        <span class="glyphicon glyphicon-globe" title="Bilans & SIG"></span>
                        <span class="hidden-md">Bilans & SIG</span>
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li><a href="{{ url('report-objects') }}" target="_blank">Objets</a></li>
                        <li><a href="{{ url('report-works') }}" target="_blank">Actions</a></li>
                       {# <li><a href="{{ url('report-areas') }}" target="_blank">Sous-bassin</a></li> #}
                            {% if app.session.get('has_gis_export_privilege')|default(false) %}
                            <li><a href="{{ url('report-gis-layers') }}" target="_blank">Couches SIG</a></li>  
                            {% endif %}
                            {% if [app.session.get('user_id'),null,null,null,null,null,null,'gestionnaire']|hasAccess %}  
                            <li><a href="{{ url('import-gis') }}" target="_blank">Import SIG</a></li>  
                            {% endif %}
                            {% if [app.session.get('user_id'),null,null,null,null,null,null,'gestionnaire']|hasAccess %}  
                            <li><a href="{{ url('processes') }}" target="_blank">Automatisations</a></li>  
                            {% endif %}
                            {% if app.session.get('is_admin') or app.session.get('has_gis_export_privilege')|default(false) %}  
                            <li><a href="{{ url('report-pg-layers') }}" target="_blank">Export PG</a></li>
                            {% endif %}
                    </ul>
                </li>

                <li id="id-thesaurus-menu"> <a href="{{ url('thesaurus') }}" target="_blank">                            
                        <span class="glyphicon glyphicon-book" title='Dictionnaire' ></span> 
                        <span class='hidden-lg hidden-md'>Dictionnaire</span>
                    </a></li>                 


            {% endif %}

            {% if [app.session.get('user_id'),null,null,null,null,null,null,'lecteur']|hasAccess %}   
                <li id="id-search-menu"><a href="#"  onclick='
                        s("objet");
                        h("infos");
                        sendData(null, "{{ url('search') }}", "objet", event);'>                                                          
                        <span class="glyphicon glyphicon-search" title='Recherche' ></span> 
                        <span class='hidden-lg hidden-md'>Recherche</span>
                    </a>
                </li>
           

                <li id="id-print-menu"><a href="{{ url('map-print')}}" target="_blank">                                                          
                            <span class="glyphicon glyphicon-print" title='Carte imprimable' ></span> 
                            <span class='hidden-lg hidden-md'>Imprimer</span>
                        </a>
                </li> 

             {% endif %}


            {% if app.session.get('is_admin') %}                
                <li id="id-admin-menu"><a href="{{ url('admin-home') }}" target="_blank">
                        <span class="glyphicon glyphicon-wrench" title='Administration' ></span>
                        <span class='hidden-lg hidden-md'>Administration</span></a></li>

            {% endif %}


        </ul>

        <ul class="nav navbar-nav navbar-right">

            {% if app.session.get('user_id') != ANONYMID and app.session.get('user_id') != null %}
                <li id="li-online-offline-vue-content" {{ SYSMA_OFFLINE_MODE_ENABLED != 'on' ? 'style="display: none;"' : ""}} ></li>
                <li role="presentation" class="dropdown">
                    <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                        <span class='glyphicon glyphicon-user' title='{{ U.firstname|slice(0,1) }}. {{ U.lastname }}'></span> <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li><a href="#" onclick=" s('objet');
                                h('infos');
                                sendData(null, '{{ url('help') }}', 'objet', event);">Aide</a></li>
                        <li><a href="#" onclick="sendData(null, '{{ url('user-account') }}', 'modal-content', event, null);" data-toggle="modal" data-target="#loginModal">Options</a></li>
                        <li><a href="#" onclick="sendData(null, '{{ url('about') }}', 'modal-content', event, null);" data-toggle="modal" data-target="#loginModal">A propos de Sysma</a></li>
                        <li><a href="{{ url('logout') }}">Déconnexion</a></li>
                    </ul>
                </li>
            {% else %}
                <li id="li-online-offline-vue-content" style="display: none;"></li>
                <li><a href="#" onclick="sendData(null, '{{ url('login') }}', 'modal-content', event, null);" data-toggle="modal" data-target="#loginModal">Se connecter</a></li>
            {% endif %}

        </ul>

        {# <ul id="online-offline-button-ul" class="nav navbar-nav navbar-right">
            <li id="li-online-offline-vue-content">
            </li>
        </ul> #}
    </div>

</nav>

<!-- /. MENU -->
